import request from '@/utils/request'
// 列表
export function getRebateOrderList(params) {
  return request({
    url: '/rebate/order/list',
    method: 'get',
    params
  })
}
// 提审
export function getRebateOrderApply(params) {
  return request({
    url: '/rebate/order/apply',
    method: 'post',
    params
  })
}
// 审核
export function getRebateOrderExamine(params) {
  return request({
    url: '/rebate/order/examine',
    method: 'post',
    params
  })
}
// 复核
export function getRebateOrderExamine2(data) {
  return request({
    url: '/rebate/order/examine2',
    method: 'post',
    data
  })
}
// 详情
export function getRebateOrderDetail(params) {
  return request({
    url: '/rebate/order/detail',
    method: 'get',
    params
  })
}
// 客户确认
export function getRebateOrderAck(data) {
  return request({
    url: '/rebate/order/ack',
    method: 'post',
    data
  })
}
// 编辑
export function getRebateOrderUpdate(data) {
  return request({
    url: '/rebate/order/update',
    method: 'post',
    data
  })
}
// 批量删除
export function getRebateOrderBatchDel(params) {
  return request({
    url: '/rebate/order/batchDel',
    method: 'post',
    params
  })
}
// 批量申请
export function getRebateOrderApplyBatch(params) {
  return request({
    url: '/rebate/order/apply/batch',
    method: 'post',
    params
  })
}
// 批量审核
export function getRebateOrderExamineBatch(params) {
  return request({
    url: '/rebate/order/examine/batch',
    method: 'post',
    params
  })
}
// 批量复核
export function getRebateOrderExamine2Batch(params) {
  return request({
    url: '/rebate/order/examine2/batch',
    method: 'post',
    params
  })
}
// 复核前-编辑
export function getRebateOrderAclUpdate(data) {
  return request({
    url: '/rebate/order/ackUpdate',
    method: 'post',
    data
  })
}
